CannotAcquireResourceException (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.resourcepool

## Class CannotAcquireResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.mchange.lang.PotentiallySecondaryException
      - - com.mchange.v2.resourcepool.ResourcePoolException
        - - com.mchange.v2.resourcepool.CannotAcquireResourceException

- All Implemented Interfaces:
    com.mchange.lang.PotentiallySecondary, java.io.Serializable

      public class CannotAcquireResourceException
      extends ResourcePoolException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotAcquireResourceException()`
    `CannotAcquireResourceException(java.lang.String msg)`
    `CannotAcquireResourceException(java.lang.String msg, java.lang.Throwable t)`
    `CannotAcquireResourceException(java.lang.Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class com.mchange.lang.PotentiallySecondaryException

      `getNestedThrowable, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotAcquireResourceException

          public CannotAcquireResourceException(java.lang.String msg,
                                                java.lang.Throwable t)

    - #### CannotAcquireResourceException

          public CannotAcquireResourceException(java.lang.Throwable t)

    - #### CannotAcquireResourceException

          public CannotAcquireResourceException(java.lang.String msg)

    - #### CannotAcquireResourceException

          public CannotAcquireResourceException()